Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class TasksPreferences

    java.lang.Object
      portlets.compoze.groupware.pref.AbstractPreferences
          portlets.compoze.groupware.pref.TasksPreferences

All Implemented Interfaces:
  java.io.Serializable

public class TasksPreferences
extends AbstractPreferences
implements java.io.Serializable

This class represents the user configurables settings for the 'Tasks' feature. For changes to be committed, the `update` method must be called.

See Also:
  `FeatureGroup.Feature.TASKS`, Serialized Form

Nested Class Summary
`static class` | `TasksPreferences.OverdueStyle` This class represents the overdue task display style.
`static class` | `TasksPreferences.TaskColumn` This class represents the task column for ordering.
`static class` | `TasksPreferences.TaskFiltering` This class represents the task filtering.
`static class` | `TasksPreferences.TaskOrdering` This class represents the task ordering.

Field Summary
`static int` | `DEFAULT_TASKS_PER_PAGE`

Constructor Summary
`TasksPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, java.lang.String sInstanceLabel)` Constructor.

Method Summary
`TasksPreferences.OverdueStyle` | `getOverdueStyle()` Gets the overdue style.
`TasksPreferences.TaskFiltering` | `getTaskFiltering()` Gets the filtering.
`TasksPreferences.TaskOrdering` | `getTaskOrdering()` Gets the task order.
`static SortProperty` | `getTaskSortProperty(TasksPreferences.TaskOrdering taskOrdering)` Gets the tasks sort property.
`int` | `getTasksPerPage()` Gets the number of tasks per page.
`void` | `setOverdueStyle(TasksPreferences.OverdueStyle overdueStyle)` Sets the overdue style.
`void` | `setTaskFiltering(TasksPreferences.TaskFiltering taskFiltering)` Sets the filtering.
`void` | `setTaskOrdering(TasksPreferences.TaskOrdering taskOrder)` Sets the task order.
`void` | `setTasksPerPage(int iTasksPerPage)` Sets the number of tasks per page.

Methods inherited from class portlets.compoze.groupware.pref.AbstractPreferences
`getInstanceLabel, getPreference, setPreference, setPreference, setPreference, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TASKS_PER_PAGE

    public static final int DEFAULT_TASKS_PER_PAGE

See Also:
  Constant Field Values

Constructor Detail

### TasksPreferences

    public TasksPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                            java.lang.String sInstanceLabel)
                     throws GroupwareException

  Constructor.

Parameters:
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### getTasksPerPage

    public int getTasksPerPage()

  Gets the number of tasks per page.

  Returns:
    the number of tasks per page

### setTasksPerPage

    public void setTasksPerPage(int iTasksPerPage)

  Sets the number of tasks per page.

  Parameters:
    `iTasksPerPage` - the number of tasks per page (mus tbe > 0)

### getTaskOrdering

    public TasksPreferences.TaskOrdering getTaskOrdering()

  Gets the task order.

  Returns:
    the task order

### setTaskOrdering

    public void setTaskOrdering(TasksPreferences.TaskOrdering taskOrder)

  Sets the task order.

  Parameters:
    `taskOrder` - the task order (may not be `null`)

### getOverdueStyle

    public TasksPreferences.OverdueStyle getOverdueStyle()

  Gets the overdue style.

  Returns:
    the overdue style

### setOverdueStyle

    public void setOverdueStyle(TasksPreferences.OverdueStyle overdueStyle)

  Sets the overdue style.

### getTaskFiltering

    public TasksPreferences.TaskFiltering getTaskFiltering()

  Gets the filtering.

  Returns:
    the filtering

### setTaskFiltering

    public void setTaskFiltering(TasksPreferences.TaskFiltering taskFiltering)

  Sets the filtering.

  Parameters:
    `taskFiltering` - the filtering (may not be `null`)

### getTaskSortProperty

    public static SortProperty getTaskSortProperty(TasksPreferences.TaskOrdering taskOrdering)

  Gets the tasks sort property.

  Parameters:
    `taskOrdering` - the task ordering (may not be `null`)
  Returns:
    the tasks sort property

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.